Subject: [drinks] SOAP document - Gen-ART comment regarding minorVer..

From: Alexander Mayrhofer <[email-masked]>
Date: Wed, 20 May 2015 12:05:13 +0000

Hello,

Roni Even performed the Gen-ART review of draft-ietf-drinks-spp-protocol-over-soap (see https://www.ietf.org/mail-archive/web/ietf/current/msg91403.html).

Specifically, he asked about the definition of the minorVer element:

"There are two schemas used, the sppf:base and sppf:soap each have a version number. When talking about supported version and about response codes on supported version, is it referring to the base or soap version? There is some text in the minorVer section but it is not clear enough."

Our definition in the document is:

             minorVer: Zero or one minor version identifier, indicating the minor  
              version of the SPPF API that the client is attempting to use. This is
              used in conjunction with the major version identifier in
              the XML namespace to identify the version of SPPF that the client 
              is using.  If the element is not present, the server assumes that 
              the client is using the latest minor version supported by the SPPF
              server for the given major version. The versions supported by a 
              given SPPF server can be retrieved by the client using the 
              Get Server Details Operation described in <xref target="servermenuopn"/>.

I have to admit, I can't remember what the intention was. Could someone help me creating updated text that fixes Roni's feedback?

Also, the definition is repeated in the text several times. I would move the definition to a dedicated section, and then only refer to that section in the individual objects - I guess that would be fine with the other authors?

Thanks,
Alex